import { Command } from '@oclif/command';
import { IConfig } from '@oclif/config';
import { ITBConfig } from '../command-config';
export interface IReportFlags {
    tbResultsFolder: string;
    config?: string;
}
export default class Report extends Command {
    static description: string;
    static flags: {
        tbResultsFolder: import("@oclif/command/lib/flags").IOptionFlag<string>;
        config: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
    };
    reportFlags: IReportFlags;
    parsedConfig: ITBConfig;
    explicitFlags: string[];
    constructor(argv: string[], config: IConfig);
    init(): Promise<void>;
    /**
     * Ensure the input file is valid and call the helper function "createConsumeableHTML"
     * to generate the HTML string for the output file.
     */
    run(): Promise<void>;
    private parseFlags;
    private determineOutputFileName;
}
//# sourceMappingURL=report.d.ts.map